Find the answer to your Linux question:
Results 1 to 4 of 4
Hi all, Booting problem,when i boot my ubuntu 11.10 it shows following, error:invalid magic number error:you need to load the kernel first press any key to continue. I do 'sudo ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Feb 2012
    Posts
    43

    error:you need to load the kernel first


    Hi all,
    Booting problem,when i boot my ubuntu 11.10 it shows following,
    error:invalid magic number
    error:you need to load the kernel first
    press any key to continue.


    I do 'sudo update-grub' on terminal,then get following results,

    Generating grub.cfg ...
    dpkg: error: version '2.6.10_mvl401' has bad syntax: invalid character in version number
    dpkg: error: version '2.6.10_mvl401' has bad syntax: invalid character in version number
    dpkg: error: version '2.6.10_mvl401' has bad syntax: invalid character in version number
    dpkg: error: version '2.6.10_mvl401' has bad syntax: invalid character in version number
    Found linux image: /boot/vmlinuz-2.6.10_mvl401
    Found initrd image: /boot/initrd.img-2.6.10_mvl401
    Found linux image: /boot/vmlinuz-3.0.0-19-generic
    Found initrd image: /boot/initrd.img-3.0.0-19-generic
    Found linux image: /boot/vmlinuz-3.0.0-17-generic
    Found initrd image: /boot/initrd.img-3.0.0-17-generic
    Found linux image: /boot/vmlinuz-3.0.0-16-generic
    Found initrd image: /boot/initrd.img-3.0.0-16-generic
    Found linux image: /boot/vmlinuz-3.0.0-12-generic
    Found initrd image: /boot/initrd.img-3.0.0-12-generic
    Found memtest86+ image: /boot/memtest86+.bin
    Found Windows 7 (loader) on /dev/sda1
    done

    Please give me a reply.
    Last edited by tintu1212; 05-11-2012 at 12:03 PM.

  2. #2
    Linux Guru
    Join Date
    Oct 2007
    Location
    Tucson AZ
    Posts
    3,190
    Does this happen immediately after the installation, on first reboot? Or have you had it installed and working for some time? I notice you have five different kernels so I expect it is not a new install. I guess the question would be, what change(s) were made immediately prior to this error? The first four lines tell you what the problem is, is there any reason you installed/need that particular kernel?

  3. #3
    Just Joined!
    Join Date
    Feb 2012
    Posts
    43
    ya...the problem is on kernel 2.6.10_mvl401,that one is default.i want to load on that kernel.

  4. $spacer_open
    $spacer_close
  5. #4
    Just Joined!
    Join Date
    Jul 2010
    Location
    New Mexico, USA
    Posts
    31
    Ubuntu 11.10 uses version 3 of the kernel. See: [URL=https://lists.ubuntu.com/archives/kernel-team/2011.../016964.html[/URL]

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •